Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 12 May 2021 12:42:53 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery The lattice 2 seater table was delivered on the 18th april and was damaged they got another damaged table nd replaced it I have been chatting with the on line team and they asked me to send pictures on email after I sent pictures to landmark group etc now i hv rcvd a reply from them saying we cannot help you as we r the online team etc after requesting for pictures etc of the piece I am really annoyed and upset no one has any info nor do they have any contact nos of the stores the online no for your information is not in service ... I live in Salmiya nd your store is in shuwaikh they are asking me to visit the store to complaint what the hell I paid of an item and rcvd a damaged piece you are suppose to look into the matter not me driving all the way to shuwaikh to complain I want urgent action as it's been very long now https://landmarkgroupservice.freshdesk.com/h
 elpdesk/tickets/2457782